Bug 840815 - FTBFS: #error Target architecture was not detected as supported by Double-Conversion
FTBFS: #error Target architecture was not detected as supported by Double-Con...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xulrunner (Show other bugs)
17
powerpc Linux
high Severity high
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-17 05:43 EDT by Karsten Hopp
Modified: 2012-07-31 09:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-31 09:41:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2012-07-17 05:43:29 EDT
Description of problem:
xulrunner-14.0.1-1.fc17 fails to build on PPC:

c++ -o fast-dtoa.o -c  -fvisibility=hidden -DIMPL_MFBT -DMOZ_GLUE_IN_PROGRAM -DOSTYPE=\"Linux2.6.32-220.4.2.el6\" -DOSARCH=Linux  -I/builddir/build/BUILD/xulrunner-14.0.1/mozilla-release/mfbt -I. -I../dist/include -I../dist/include/nsprpub  -I/usr/include/nspr4 -I/usr/include/nss3      -fPIC  -fno-rtti -pedantic -Wall -Wpointer-arith -Woverloaded-virtual -Werror=return-type -Wtype-limits -Wempty-body -Wno-ctor-dtor-privacy -Wno-overlength-strings -Wno-invalid-offsetof -Wno-variadic-macros -Wcast-align -Wno-long-long -O2 -g -pipe -Wp,-D_FORTIFY_SOURCE=2 -fno-exceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -fpermissive -fno-exceptions -fno-strict-aliasing -std=gnu++0x -ffunction-sections -fdata-sections -pthread -pipe  -DNDEBUG -DTRIMMED -g -Os -freorder-blocks  -fomit-frame-pointer   -DMOZILLA_CLIENT -include ../mozilla-config.h -MD -MF .deps/fast-dtoa.pp /builddir/build/BUILD/xulrunner-14.0.1/mozilla-release/mfbt/double-conversion/fast-dtoa.cc
In file included from /builddir/build/BUILD/xulrunner-14.0.1/mozilla-release/mfbt/double-conversion/bignum.h:31:0,
                 from /builddir/build/BUILD/xulrunner-14.0.1/mozilla-release/mfbt/double-conversion/bignum.cc:28:
/builddir/build/BUILD/xulrunner-14.0.1/mozilla-release/mfbt/double-conversion/utils.h:67:2: error: #error Target architecture was not detected as supported by Double-Conversion.
In file included from /builddir/build/BUILD/xulrunner-14.0.1/mozilla-release/mfbt/double-conversion/diy-fp.h:31:0,
                 from /builddir/build/BUILD/xulrunner-14.0.1/mozilla-release/mfbt/double-conversion/diy-fp.cc:29:
/builddir/build/BUILD/xulrunner-14.0.1/mozilla-release/mfbt/double-conversion/utils.h:67:2: error: #error Target architecture was not detected as supported by Double-Conversion.
In file included from /builddir/build/BUILD/xulrunner-14.0.1/mozilla-release/mfbt/double-conversion/fast-dtoa.h:31:0,
                 from /builddir/build/BUILD/xulrunner-14.0.1/mozilla-release/mfbt/double-conversion/fast-dtoa.cc:28:
/builddir/build/BUILD/xulrunner-14.0.1/mozilla-release/mfbt/double-conversion/utils.h:67:2: error: #error Target architecture was not detected as supported by Double-Conversion.
In file included from /builddir/build/BUILD/xulrunner-14.0.1/mozilla-release/mfbt/double-conversion/bignum-dtoa.h:31:0,
                 from /builddir/build/BUILD/xulrunner-14.0.1/mozilla-release/mfbt/double-conversion/bignum-dtoa.cc:30:
/builddir/build/BUILD/xulrunner-14.0.1/mozilla-release/mfbt/double-conversion/utils.h:67:2: error: #error Target architecture was not detected as supported by Double-Conversion.
make[5]: *** [diy-fp.o] Error 1

Aktual results:
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=614067
Comment 1 Karsten Hopp 2012-07-20 10:01:18 EDT
We need this patch here:
https://hg.mozilla.org/mozilla-central/rev/72e4dea9d2b2
Comment 2 Martin Stransky 2012-07-20 11:00:33 EDT
Feel free to update the fedora package.
Comment 3 Martin Stransky 2012-07-31 09:41:56 EDT
Added to rawhide/F17/F16.

Note You need to log in before you can comment on or make changes to this bug.